LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 09-25-2008, 02:24 PM   #1
yuriy
LQ Newbie
 
Registered: Sep 2008
Posts: 2

Rep: Reputation: 0
How to install specific version of a package using yum?


Hi,

I'm trying to install a specific version of a package using yum in CentOS.
So in more details: I'm trying to install vlc-0.8.6 on CentOS5. The current version in repository is 0.9.2:

$ yum info vlc
Loading "installonlyn" plugin
Loading "priorities" plugin
Setting up repositories
base 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 951 B 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
314 packages excluded due to repository priority protections
Available Packages
Name : vlc
Arch : i386
Version: 0.9.2
Release: 1.el5.rf
Size : 20 M
Repo : rpmforge
Summary: The VideoLAN client, also a very good standalone video player
Description:
VideoLAN Client (VLC) is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) as
well as DVDs, VCDs, and various streaming protocols.



But I can also see vlc-0.8.6 in the same repository:

$ yum search vlc
....................
vlc.i386 0.9.2-1.el5.rf rpmforge
....................
vlc.i386 0.8.6d-2.el5.rf rpmforge
....................
vlc.i386 0.8.6i-1.el5.rf rpmforge
....................
vlc.i386 0.8.6h-1.el5.rf rpmforge
....................


When I try to run "yum -y install vlc" I'll get vlc-0.9.2 but I would like to install vlc-0.8.6 instead.
What option should I use to tell yum which vlc version required to be installed? Or do I need to change something in .repo?

Thanks in advance.
 
Old 09-26-2008, 10:06 AM   #2
yuriy
LQ Newbie
 
Registered: Sep 2008
Posts: 2

Original Poster
Rep: Reputation: 0
I've sort it out.

yum install vlc-0.8.6d-2.el5.rf.i386

Regards
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
yum - install particular version of a package? neiljt Linux - Software 8 06-23-2014 05:41 PM
YUM Update All But Specific Package jmoschetti45 Linux - Software 1 05-20-2007 05:32 AM
YUM: How to install package from a specific repository? Akhran Red Hat 1 04-16-2007 11:04 PM
How to install a specific package? ricky_ds Red Hat 3 08-22-2005 04:57 AM
force apt to install specific version cheech66 Linux - Newbie 5 05-29-2004 12:04 PM


All times are GMT -5. The time now is 09:48 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration